Bug 880253 - Bip is not initially accesible on startup, and has to be restarted whenever the host is rebooted.
Summary: Bip is not initially accesible on startup, and has to be restarted whenever t...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bip
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-26 15:09 UTC by Darryl L. Pierce
Modified: 2015-06-22 00:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-03 11:45:10 UTC
Type: Bug


Attachments (Terms of Use)

Description Darryl L. Pierce 2012-11-26 15:09:27 UTC
Description of problem:

Bip is consistently inaccessible when a system is first booted.


Version-Release number of selected component (if applicable):

[mcpierce@mcpierce-server ~]$ rpm -q bip
bip-0.8.8-6.fc17.i686


How reproducible:

100%


Steps to Reproduce:
1. Reboot the system, with Bip configured to start automatically.
2. Once the system is started, attempt to connect to Bip.

  
Actual results:

Unable to connect to the configured port. The port only becomes available after logging into the machine and restarting the Bip service.


Expected results:

Bip to be available immediately.


Additional info:

It seems that changing the Bip systemd configuration from having Require to having After for network service should fix this problem. We had a similar problem with Qpid and the above change fixed that.

Comment 1 Josh 2013-04-03 11:45:10 UTC
this appears to be fixed in Fedora 18.

It now includes a After=network.target

Comment 2 Fedora End Of Life 2013-04-03 13:48:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19


Note You need to log in before you can comment on or make changes to this bug.